# compute service

Compute v2

## compute service delete

Delete compute service(s)

    openstack compute service delete <service> [<service> ...]

service

  Compute service(s) to delete (ID only). If using `--os-compute-api-version` 2.53 or greater, the ID is a UUID which can be retrieved by listing compute services using the same 2.53+ microversion. If deleting a compute service, be sure to stop the actual compute process on the physical host before deleting the service with this command. Failing to do so can lead to the running service re-creating orphaned compute_nodes table records in the database.

## compute service list

List compute services.

Using `--os-compute-api-version` 2.53 or greater will return the ID as a UUID value which can be used to uniquely identify the service in a multi-cell deployment.

    openstack compute service list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--host <host>]
        [--service <service>]
        [--long]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--host <host>

  List services on specified host (name only)

--service <service>

  List only specified service binaries (name only). For example, `nova-compute`, `nova-conductor`, etc.

--long

  List additional fields in output

## compute service set

Set compute service properties

    openstack compute service set
        [--enable | --disable]
        [--disable-reason <reason>]
        [--up
        |
        --down
        ]
        <host>
        <service>

--enable

  Enable service

--disable

  Disable service

--disable-reason <reason>

  Reason for disabling the service (in quotes). Should be used with –disable option.

--up

  Force up service. Requires `--os-compute-api-version` 2.11 or greater.

--down

  Force down service. Requires `--os-compute-api-version` 2.11 or greater.

host

  Name of host

service

  Name of service (Binary name), for example `nova-compute`

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.